Name:           megi-kernel
Version:        6.8.9
Release:        1%{?dist}
Summary:        latest megi kernel for the pinephone, pinetab and the pinefhone pro 

License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.8
Source0:        pinephones.tar.gz

#BuildArch:      aarch64

Requires:       /bin/bash
Requires:       /bin/sh

BuildRequires:  /bin/bash
BuildRequires:  /bin/sh

Conflicts:      megi-kernel-pboot
Conflicts:      megi-kernel-tab

%description
Megis version of the Linux Kernel, for PinePhone, PinePhone Pro and PineTab

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones

%install
#mkdir -p $RPM_BUILD_ROOT/boot/pboot/
mkdir -p $RPM_BUILD_ROOT/boot/
cp Image $RPM_BUILD_ROOT/boot/
mkdir -p $RPM_BUILD_ROOT/boot/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/rockchip
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/Image
/lib/modules/
/boot/allwinner/sun50i-a64-pinephone-1.0.dtb
/boot/allwinner/sun50i-a64-pinephone-1.1.dtb
/boot/allwinner/sun50i-a64-pinephone-1.2.dtb
/boot/allwinner/sun50i-a64-pinetab.dtb
/boot/rockchip/

%changelog
* Mon May 13 2024 Yoda - 6.8.9-1
- Upgrade to 6.8.9

* Wed May 01 2024 Yoda - 6.8.8-1
- Upgrade to 6.8.8

* Mon Apr 08 2024 Yoda - 6.8.4-1
- Upgrade to 6.8.4

* Mon Mar 11 2024 Yoda - 6.8.0-1
- Upgrade to 6.8.0

* Fri Mar 08 2024 Yoda - 6.7.9-1
- Upgrade to 6.7.9

* Sun Mar 03 2024 Yoda - 6.7.7-1
- Fix for flipping frames bug
- Upgrade to 6.7.7

* Wed Feb 28 2024 Yoda - 6.7.6-1
- Upgrade to 6.7.6

* Wed Feb 07 2024 Yoda - 6.7.4-1
- Upgrade to 6.7.4

* Mon Jan 29 2024 Yoda - 6.7.0-1
- Upgrade to 6.7.0

* Sat Jan 06 2024 Yoda - 6.6.10-1
- Upgrade to 6.6.10

* Sat Dec 16 2023 Yoda - 6.6.6-1
- Upgrade to 6.6.6
- Changed build scripts to use codeberg.org

* Sun Dec 03 2023 Yoda - 6.6.4-1
- Upgrade to 6.6.4

* Wed Nov 29 2023 Yoda - 6.6.3-1
- Upgrade to 6.6.3

* Wed Nov 08 2023 Yoda - 6.6.0-1
- Upgrade to 6.6.0

* Mon Oct 09 2023 Yoda - 6.5.6-1
- Upgrade to 6.5.6

* Fri Sep 15 2023 Yoda - 6.5.3-1
- Upgrade to 6.5.3

* Sat Sep 09 2023 Yoda - 6.4.15-1
- Upgrade to 6.4.15

* Wed Aug 02 2023 Yoda - 6.4.7-1
- Upgrade to 6.4.7

* Thu Jul 20 2023 Yoda - 6.4.4-1
- Upgrade to 6.4.4

* Mon Jun 12 2023 Yoda - 6.3.7-1
- Upgrade to 6.3.7

* Sat Jun 3 2023 Yoda - 6.3.4-1
- Upgrade to 6.3.4

* Sun May 28 2023 Yoda - 6.3.3-2
- CONFIG_IP_NF_IPTABLES added

* Thu May 18 2023 Yoda - 6.3.3-1
- Upgrade to 6.3.3

* Sun Apr 30 2023 Yoda - 6.2.12-1
- Upgrade to 6.2.12

* Thu Mar 30 2023 Yoda - 6.2.9-1
- Upgrade to 6.2.9
- Fix better WiFi on PP

* Sat Mar 25 2023 Yoda - 6.2.7-1
- Upgrade to 6.2.7

* Wed Mar 15 2023 Yoda - 6.2.6-1
- Upgrade to 6.2.6

* Sun Mar 12 2023 Yoda - 6.2.5-1
- Upgrade to 6.2.5

* Sat Mar 11 2023 Yoda - 6.2.3-1
- Upgrade to 6.2.3

* Wed Mar 08 2023 Yoda - 6.2.2-1
- Upgrade to 6.2.2

* Wed Feb 15 2023 Yoda - 6.1.12-1
- Upgrade to 6.1.12

* Thu Feb 02 2023 Yoda - 6.1.9-1
- Upgrade to 6.1.9

* Mon Jan 30 2023 Yoda - 6.1.7-1
- Upgrade to 6.1.7

* Sat Jan 07 2023 Yoda - 6.1.3-1
- Upgrade to 6.1.3

* Wed Jan 04 2023 Yoda - 6.1.2-1
- Upgrade to 6.1.2

* Fri Dec 16 2022 Yoda - 6.1.0-1
- Upgrade to 6.1.0-1

* Sat Dec 10 2022 Yoda - 6.1.0-0.rc7
- Update to 6.1.0-0.rc7

* Mon Oct 17 2022 Yoda - 6.1.0-0.rc1
- Update to 6.1.0-0.rc1

* Mon Aug 29 2022 Yoda - 6.0.0-0.rc3
- Update to 6.0.0-0.rc3

* Mon Aug 29 2022 Yoda - 6.0.0-0.rc2
- Update to 6.0.0-0.rc2

* Mon Aug 22 2022 Yoda - 5.19.3-1
- Upgrade to 5.19.3-1

* Sat Aug 20 2022 Yoda - 6.0.0-0.rc1
- Update to 6.0.0-0.rc1

* Sun Aug 14 2022 Yoda - 5.19.1-1
- Upgrade to 5.19.1-1

* Wed Aug 03 2022 Yoda - 5.19.0-1
- Upgrade to 5.19.0-1
- New kernel build for both PP and PPP

* Sun Jul 24 2022 Yoda - 5.19.0-1.rc7
- Upgrade to 5.19.0-1.rc7

* Sun Jul 17 2022 Yoda - 5.19.0-1.rc6
- Upgrade to 5.19.0-1.rc6

* Fri Jul 08 2022 Yoda - 5.19.0-1.rc5
- Upgrade to 5.19.0-1.rc5

* Tue Jun 28 2022 Yoda - 5.19.0-1.rc4
- Upgrade to 5.19.0-1.rc4

* Wed Jun 15 2022 Yoda - 5.18.4-1
- Upgrade to 5.18.4-1

* Sun May 08 2022 Yoda - 5.18.2-1
- Upgrade to 5.18.2-1

* Sat Apr 09 2022 Yoda - 5.18.0-1.rc1
- Upgrade to 5.18.0-1.rc1

* Tue Mar 22 2022 Yoda - 5.17.0-1
- Upgrade to 5.17.0-1

* Thu Mar 17 2022 Yoda - 5.17.0-rc7
- Upgrade to 5.17.0-0.rc7

* Fri Mar 04 2022 Yoda - 5.17.0-rc5
- Upgrade to 5.17.0-0.rc5

* Thu Jan 06 2022 Yoda - 5.16.0-rc8
- Added audit
- Upgrade to 5.16.0-0.rc8

* Fri Nov 05 2021 Yoda - 5.15.0-2 GA
- Upgrade to 5.15.0-2 GA

* Thu Oct 28 2021 Yoda - 5.15.0-rc7
- Switch to using ppd package
- Upgrade to 5.15.0-1.rc7

* Sun Oct 24 2021 Yoda - 5.15.0-rc6
- Upgrade to 5.15.0-1.rc6

* Mon Sep 27 2021 Yoda - 5.14.8-1
- Upgrade to 5.14.3-1

* Tue Sep 21 2021 Yoda - 5.14.3-1
- Upgrade to 5.14.3-1

* Sat Aug 21 2021 Yoda - 5.14.0-0.rc6
- Upgrade to 5.14.0-0rc6

* Sat Jul 31 2021 Yoda - 5.14.0-0.rc2 
- Upgrade to 5.14.0-0rc2 

* Sat May 08 2021 Yoda - 5.13.0-0.rc3
- Upgrade to 5.13.0-0rc3 
- New beta package for release candidates of latest kernel
